Bug 109366 - Install script runs over and over
Summary: Install script runs over and over
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
(Show other bugs)
Version: 1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Dan Williams
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-07 05:51 UTC by Paul Eden
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-10 18:52:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Paul Eden 2003-11-07 05:51:09 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031030

Description of problem:
Open office cannot be run because everytime I try to run it the
installer script runs instead.  After going through the installer
script the open office program still does not run.

Version-Release number of selected component (if applicable):
openoffice.org-1.1.0-6

How reproducible:
Always

Steps to Reproduce:
1.  Run any open office program via menu or command line.
2.  The install script starts.
3.  Finish the install script choosing the workstation install.

    

Actual Results:  The openoffice program does not run and the next time
one tries to run it the install script runs again.

Expected Results:  The install script should run once and then every
time thereafter the openoffice program should run instead.

Additional info:

openoffice.org-i18n-1.1.0-6
openoffice.org-libs-1.1.0-6
openoffice.org-1.1.0-6

Comment 1 Barry Platt 2003-11-07 13:32:05 UTC
It appears that if ~/.openoffice already exists the setup script
installs into something like ~/Openoffice.org-1.1.0 (sorry, I can't
recall the actual directory name), leaving .openoffice as it was. 
Then on future invocations, it repeats the setup process.  

I worked around it by clearing both ~/.openoffice and the
~/Openoffice.org-1.1.0 directories and restarting.  

Same openoffice.org package versions as the reporter.  

Comment 2 R. Necaise 2004-01-07 02:42:35 UTC
I had the same problem with the same package versions. 

It appears as if the installer wants to use the directory
~/Openoffice.org-1.1.0 as defined in instdb.ins while the applicatons
use ~/.openoffice.  If there is an ~/.openoffice directory from an
older version, the installer trys to do the setup in
~/Openoffice-1.1.0 over and over.
 

Comment 3 Dan Williams 2004-01-07 16:04:32 UTC
R. Necaise:  which version are you using?

Comment 4 Dan Williams 2004-04-10 18:52:41 UTC
Please test with later versions of OOo from rawhide, or possibly the Fedora Core 2 
versions.  A few situations like this have already been fixed.  If its still a problem with 
later versions of OOo, please reopen this bug.


Note You need to log in before you can comment on or make changes to this bug.